import Dialog from "@material-ui/core/Dialog";
import DialogActions from "@material-ui/core/DialogActions";
import DialogContent from "@material-ui/core/DialogContent";
import DialogContentText from "@material-ui/core/DialogContentText";
import DialogTitle from "@material-ui/core/DialogTitle";
import Button from "@material-ui/core/Button";

export const Alert = ({showAlert, finishCalc, showIdmtResults}) => {
  return(
    <div>
      <Dialog
        open={showAlert}
        onClose={finishCalc}
        aria-labelledby="alert-dialog-title"
        aria-describedby="alert-dialog-description"
      >
        <DialogTitle id="alert-dialog-title">{"Ergebnis überprüfen oder abgeben?"}</DialogTitle>

        <DialogContent>
          <DialogContentText id="alert-dialog-description">
            Willst du dein Ergebnis nochmal überprüfen oder gleich abgeben?
          </DialogContentText>
        </DialogContent>

        <DialogActions>
          <Button onClick={showIdmtResults} color="primary" autoFocus>
            Prüfen
          </Button>
          <Button onClick={finishCalc} color="primary">
            Abgeben
          </Button>
        </DialogActions>

      </Dialog>
    </div>
  )
};